- Qt 6.10
- Qt Sensors
- C++ Classes
- QAmbientTemperatureSensor
- Qt 6.10.2 Reference Documentation

# QAmbientTemperatureSensor Class

The QAmbientTemperatureSensor class is a convenience wrapper around QSensor. More...

Header: | `#include <QAmbientTemperatureSensor>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Sensors)` `target_link_libraries(mytarget PRIVATE Qt6::Sensors)`
qmake: | `QT += sensors`
Inherits: | QSensor

- List of all members, including inherited members

## Public Functions

| QAmbientTemperatureSensor(QObject *parent = nullptr)
virtual | ~QAmbientTemperatureSensor()
QAmbientTemperatureReading * | reading() const

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QAmbientTemperatureReading instead of a QSensorReading.

For details about how the sensor works, see QAmbientTemperatureReading.

See also QAmbientTemperatureReading.

## Member Function Documentation

### `[explicit]` QAmbientTemperatureSensor::QAmbientTemperatureSensor(QObject *parent = nullptr)

Construct the sensor as a child of parent.

### `[virtual noexcept]` QAmbientTemperatureSensor::~QAmbientTemperatureSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QAmbientTemperatureReading *QAmbientTemperatureSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().